com.lowagie.text.pdf.internal

## Class PdfAnnotationsImp

- java.lang.Object
- - com.lowagie.text.pdf.internal.PdfAnnotationsImp

    public class PdfAnnotationsImp
    extends java.lang.Object

### Field Summary

Fields
`protected PdfAcroForm` `acroForm` This is the AcroForm object for the complete document.
`protected java.util.ArrayList` `annotations` This is the array containing the references to annotations that were added to the document.
`protected java.util.ArrayList` `delayedAnnotations` This is an array containing references to some delayed annotations (that were added for a page that doesn't exist yet).

### Constructor Summary

Constructors
Constructor and Description
`PdfAnnotationsImp(PdfWriter writer)`

### Method Summary

Methods
`void` `addAnnotation(PdfAnnotation annot)`
`void` `addCalculationOrder(PdfFormField formField)`
`(package private) void` `addFormFieldRaw(PdfFormField field)`
`void` `addPlainAnnotation(PdfAnnotation annot)`
`static PdfAnnotation` `convertAnnotation(PdfWriter writer, Annotation annot, Rectangle defaultRect)`
`PdfAcroForm` `getAcroForm()` Gets the AcroForm object.
`boolean` `hasUnusedAnnotations()`
`boolean` `hasValidAcroForm()` Checks if the AcroForm is valid.
`void` `resetAnnotations()`
`PdfArray` `rotateAnnotations(PdfWriter writer, Rectangle pageSize)`
`void` `setSigFlags(int f)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### acroForm

    protected PdfAcroForm acroForm

This is the AcroForm object for the complete document.

#### annotations

    protected java.util.ArrayList annotations

This is the array containing the references to annotations that were added to the document.

#### delayedAnnotations

    protected java.util.ArrayList delayedAnnotations

This is an array containing references to some delayed annotations (that were added for a page that doesn't exist yet).

### Constructor Detail

#### PdfAnnotationsImp

    public PdfAnnotationsImp(PdfWriter writer)

### Method Detail

#### hasValidAcroForm

    public boolean hasValidAcroForm()

Checks if the AcroForm is valid.

#### getAcroForm

    public PdfAcroForm getAcroForm()

Gets the AcroForm object.

Returns:
  the PdfAcroform object of the PdfDocument

#### setSigFlags

    public void setSigFlags(int f)

#### addCalculationOrder

    public void addCalculationOrder(PdfFormField formField)

#### addAnnotation

    public void addAnnotation(PdfAnnotation annot)

#### addPlainAnnotation

    public void addPlainAnnotation(PdfAnnotation annot)

#### addFormFieldRaw

    void addFormFieldRaw(PdfFormField field)

#### hasUnusedAnnotations

    public boolean hasUnusedAnnotations()

#### resetAnnotations

    public void resetAnnotations()

#### rotateAnnotations

    public PdfArray rotateAnnotations(PdfWriter writer,
                             Rectangle pageSize)

#### convertAnnotation

    public static PdfAnnotation convertAnnotation(PdfWriter writer,
                                  Annotation annot,
                                  Rectangle defaultRect)
                                           throws java.io.IOException

Throws:
  `java.io.IOException`